Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2009-2737

Overview

Vulnerability Score 5.5 5.5
CVE Id CVE-2009-2737
Last Modified 26 Aug 2009 01:25:45
Published 11 Aug 2009 06:30:00
Confidentiality Impact NONE NONE
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication SINGLE_INSTANCE

CVE-2009-2737

Summary

The EditCSVAction function in cgi/actions.py in Roundup 1.2 before 1.2.1, 1.4 through 1.4.6, and possibly other versions does not properly check permissions, which allows remote authenticated users with edit or create privileges for a class to modify arbitrary items within that class, as demonstrated by editing all queries, modifying settings, and adding roles to users.

Vulnerable Systems

Application

  • Toni Mueller Roundup 1.2.0

  • Toni Mueller Roundup 1.4.0

  • Toni Mueller Roundup 1.4.1

  • Toni Mueller Roundup 1.4.2

  • Toni Mueller Roundup 1.4.3

  • Toni Mueller Roundup 1.4.4

  • Toni Mueller Roundup 1.4.5

  • Toni Mueller Roundup 1.4.6


References

DEBIAN - DSA-1754

FEDORA - FEDORA-2009-2591

FEDORA - FEDORA-2009-2583

CONFIRM - https://bugzilla.redhat.com/show_bug.cgi?id=489355

BID - 34059

OSVDB - 56368

SECUNIA - 34192

CONFIRM - http://issues.roundup-tracker.org/issue2550521

CONFIRM - http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=518768


Last Updated: 27 May 2016 10:51:00